## mars.mips.instructions.syscalls
Class SyscallMessageDialogString

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallMessageDialogString

All Implemented Interfaces:
  Syscall

    public class SyscallMessageDialogString

extends AbstractSyscall

Service to display a message to user.

Constructor Summary
`SyscallMessageDialogString()` Build an instance of the syscall with its default service number and name.

Method Summary
`void` `simulate(ProgramStatement statement)` System call to display a message to user.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallMessageDialogString

    public SyscallMessageDialogString()

  Build an instance of the syscall with its default service number and name.

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  System call to display a message to user.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`